Howto Fix You could try using –skip-broken to work around the problem

Howto Fix You could try using –skip-broken to work around the problem

 

1. ERROR

[root@localhost ]# yum install php54*
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: mirrors.digipower.vn
* epel: mirrors.ustc.edu.cn
* extras: mirrors.digipower.vn
* rightscale-epel: ec2-eu-west-mirror1.rightscale.com
* updates: mirrors.digipower.vn
Setting up Install Process
Resolving Dependencies
–> Running transaction check
—> Package php54.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: php54-common = 5.4.4-1.ius.el6 for package: php54-5.4.4-1.ius.el6.x86_64
–> Processing Dependency: php54-cli = 5.4.4-1.ius.el6 for package: php54-5.4.4-1.ius.el6.x86_64
–> Running transaction check
—> Package php54-cli.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-common.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Conflict: php54-5.4.4-1.ius.el6.x86_64 conflicts php < 5.4
–> Finished Dependency Resolution
Error: php54 conflicts with php
You could try using –skip-broken to work around the problem

2. How to FIX

[root@localhost yum.repos.d]# yum clean all
[root@localhost yum.repos.d]# yum install php54* –skip-broken
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: mirrors.digipower.vn
* epel: mirrors.ispros.com.bd
* extras: mirrors.digipower.vn
* rightscale-epel: ec2-us-east-mirror2.rightscale.com
* updates: mirrors.digipower.vn
Setting up Install Process
Resolving Dependencies
–> Running transaction check
—> Package php54.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-bcmath.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-cli.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-common.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-dba.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-devel.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: automake for package: php54-devel-5.4.4-1.ius.el6.x86_64
–> Processing Dependency: autoconf for package: php54-devel-5.4.4-1.ius.el6.x86_64
—> Package php54-embedded.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-enchant.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-fpm.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-gd.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: libt1.so.5()(64bit) for package: php54-gd-5.4.4-1.ius.el6.x86_64
—> Package php54-imap.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: libc-client.so.2007()(64bit) for package: php54-imap-5.4.4-1.ius.el6.x86_64
—> Package php54-interbase.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: libfbclient.so.2()(64bit) for package: php54-interbase-5.4.4-1.ius.el6.x86_64
—> Package php54-intl.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-ioncube-loader.x86_64 0:4.2.1-1.ius.el6 will be installed
—> Package php54-ldap.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-litespeed.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mbstring.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mcrypt.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mssql.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: libsybdb.so.5()(64bit) for package: php54-mssql-5.4.4-1.ius.el6.x86_64
—> Package php54-mysql.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mysqlnd.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-odbc.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pdo.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pear.noarch 1:1.9.4-1.ius.el6 will be installed
—> Package php54-pecl-apc.x86_64 0:3.1.10-1.ius.el6 will be installed
—> Package php54-pecl-geoip.x86_64 0:1.0.8-2.ius.el6 will be installed
—> Package php54-pecl-memcache.x86_64 0:3.0.6-4.ius.el6 will be installed
—> Package php54-pecl-xdebug.x86_64 0:2.2.0-2.ius.el6 will be installed
—> Package php54-pgsql.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pgsql84.x86_64 0:5.4.3-1.ius.el6 will be installed
—> Package php54-process.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pspell.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: libpspell.so.15()(64bit) for package: php54-pspell-5.4.4-1.ius.el6.x86_64
–> Processing Dependency: libaspell.so.15()(64bit) for package: php54-pspell-5.4.4-1.ius.el6.x86_64
—> Package php54-recode.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: librecode.so.0()(64bit) for package: php54-recode-5.4.4-1.ius.el6.x86_64
—> Package php54-snmp.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-soap.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-tidy.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Processing Dependency: libtidy-0.99.so.0()(64bit) for package: php54-tidy-5.4.4-1.ius.el6.x86_64
—> Package php54-xcache.x86_64 0:2.0.0-1.ius.el6 will be installed
—> Package php54-xml.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-xmlrpc.x86_64 0:5.4.4-1.ius.el6 will be installed
–> Running transaction check
—> Package aspell.x86_64 12:0.60.6-12.el6 will be installed
—> Package autoconf.noarch 0:2.63-5.1.el6 will be installed
—> Package automake.noarch 0:1.11.1-1.2.el6 will be installed
—> Package firebird-libfbclient.x86_64 0:2.5.2.26539.0-2.el6 will be installed
—> Package freetds.x86_64 0:0.91-2.el6 will be installed
—> Package libc-client.x86_64 0:2007e-11.el6 will be installed
—> Package libtidy.x86_64 0:0.99.0-19.20070615.1.el6 will be installed
—> Package recode.x86_64 0:3.6-28.1.el6 will be installed
—> Package t1lib.x86_64 0:5.1.2-6.el6_2.1 will be installed
–> Processing Conflict: php54-mysql-5.4.4-1.ius.el6.x86_64 conflicts php54-mysqlnd
–> Processing Conflict: php54-5.4.4-1.ius.el6.x86_64 conflicts php < 5.4
–> Processing Conflict: php54-pgsql84-5.4.3-1.ius.el6.x86_64 conflicts php54-pgsql
–> Processing Conflict: php54-pgsql84-5.4.3-1.ius.el6.x86_64 conflicts php-pgsql < 5.4
–> Processing Conflict: php54-xcache-2.0.0-1.ius.el6.x86_64 conflicts php54-pecl-apc
–> Finished Dependency Resolution
–> Running transaction check
—> Package autoconf.noarch 0:2.63-5.1.el6 will be installed
—> Package automake.noarch 0:1.11.1-1.2.el6 will be installed
—> Package php54.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-devel.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-ioncube-loader.x86_64 0:4.2.1-1.ius.el6 will be installed
—> Package php54-mysql.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pecl-apc.x86_64 0:3.1.10-1.ius.el6 will be installed
—> Package php54-pgsql84.x86_64 0:5.4.3-1.ius.el6 will be installed
—> Package php54-xcache.x86_64 0:2.0.0-1.ius.el6 will be installed
–> Finished Dependency Resolution
–> Running transaction check
—> Package aspell.x86_64 12:0.60.6-12.el6 will be installed
—> Package firebird-libfbclient.x86_64 0:2.5.2.26539.0-2.el6 will be installed
—> Package freetds.x86_64 0:0.91-2.el6 will be installed
—> Package libc-client.x86_64 0:2007e-11.el6 will be installed
—> Package libtidy.x86_64 0:0.99.0-19.20070615.1.el6 will be installed
—> Package php54-bcmath.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-cli.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-common.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-dba.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-embedded.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-enchant.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-fpm.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-gd.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-imap.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-interbase.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-intl.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-ldap.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-litespeed.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mbstring.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mcrypt.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mssql.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-mysqlnd.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-odbc.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pdo.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pear.noarch 1:1.9.4-1.ius.el6 will be installed
—> Package php54-pecl-geoip.x86_64 0:1.0.8-2.ius.el6 will be installed
—> Package php54-pecl-memcache.x86_64 0:3.0.6-4.ius.el6 will be installed
—> Package php54-pecl-xdebug.x86_64 0:2.2.0-2.ius.el6 will be installed
—> Package php54-pgsql.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-process.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-pspell.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-recode.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-snmp.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-soap.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-tidy.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-xml.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package php54-xmlrpc.x86_64 0:5.4.4-1.ius.el6 will be installed
—> Package recode.x86_64 0:3.6-28.1.el6 will be installed
—> Package t1lib.x86_64 0:5.1.2-6.el6_2.1 will be installed
–> Finished Dependency ResolutionPackages skipped because of dependency problems:
autoconf-2.63-5.1.el6.noarch from base
automake-1.11.1-1.2.el6.noarch from base
php54-5.4.4-1.ius.el6.x86_64 from rightscale-epel
php54-devel-5.4.4-1.ius.el6.x86_64 from rightscale-epel
php54-ioncube-loader-4.2.1-1.ius.el6.x86_64 from rightscale-epel
php54-mysql-5.4.4-1.ius.el6.x86_64 from rightscale-epel
php54-pecl-apc-3.1.10-1.ius.el6.x86_64 from rightscale-epel
php54-pgsql84-5.4.3-1.ius.el6.x86_64 from rightscale-epel
php54-xcache-2.0.0-1.ius.el6.x86_64 from rightscale-epelDependencies Resolved=====================================================================================================================================================================================================
Package Arch Version Repository Size
=====================================================================================================================================================================================================
Installing:
php54-bcmath x86_64 5.4.4-1.ius.el6 rightscale-epel 22 k
php54-cli x86_64 5.4.4-1.ius.el6 rightscale-epel 2.4 M
php54-common x86_64 5.4.4-1.ius.el6 rightscale-epel 850 k
php54-dba x86_64 5.4.4-1.ius.el6 rightscale-epel 33 k
php54-embedded x86_64 5.4.4-1.ius.el6 rightscale-epel 1.2 M
php54-enchant x86_64 5.4.4-1.ius.el6 rightscale-epel 14 k
php54-fpm x86_64 5.4.4-1.ius.el6 rightscale-epel 1.2 M
php54-gd x86_64 5.4.4-1.ius.el6 rightscale-epel 114 k
php54-imap x86_64 5.4.4-1.ius.el6 rightscale-epel 51 k
php54-interbase x86_64 5.4.4-1.ius.el6 rightscale-epel 69 k
php54-intl x86_64 5.4.4-1.ius.el6 rightscale-epel 96 k
php54-ldap x86_64 5.4.4-1.ius.el6 rightscale-epel 31 k
php54-litespeed x86_64 5.4.4-1.ius.el6 rightscale-epel 1.2 M
php54-mbstring x86_64 5.4.4-1.ius.el6 rightscale-epel 905 k
php54-mcrypt x86_64 5.4.4-1.ius.el6 rightscale-epel 22 k
php54-mssql x86_64 5.4.4-1.ius.el6 rightscale-epel 37 k
php54-mysqlnd x86_64 5.4.4-1.ius.el6 rightscale-epel 233 k
php54-odbc x86_64 5.4.4-1.ius.el6 rightscale-epel 49 k
php54-pdo x86_64 5.4.4-1.ius.el6 rightscale-epel 91 k
php54-pear noarch 1:1.9.4-1.ius.el6 rightscale-epel 380 k
php54-pecl-geoip x86_64 1.0.8-2.ius.el6 rightscale-epel 13 k
php54-pecl-memcache x86_64 3.0.6-4.ius.el6 rightscale-epel 52 k
php54-pecl-xdebug x86_64 2.2.0-2.ius.el6 rightscale-epel 106 k
php54-pgsql x86_64 5.4.4-1.ius.el6 rightscale-epel 82 k
php54-process x86_64 5.4.4-1.ius.el6 rightscale-epel 33 k
php54-pspell x86_64 5.4.4-1.ius.el6 rightscale-epel 13 k
php54-recode x86_64 5.4.4-1.ius.el6 rightscale-epel 8.2 k
php54-snmp x86_64 5.4.4-1.ius.el6 rightscale-epel 29 k
php54-soap x86_64 5.4.4-1.ius.el6 rightscale-epel 192 k
php54-tidy x86_64 5.4.4-1.ius.el6 rightscale-epel 27 k
php54-xml x86_64 5.4.4-1.ius.el6 rightscale-epel 142 k
php54-xmlrpc x86_64 5.4.4-1.ius.el6 rightscale-epel 42 k
Installing for dependencies:
aspell x86_64 12:0.60.6-12.el6 base 648 k
firebird-libfbclient x86_64 2.5.2.26539.0-2.el6 epel 290 k
freetds x86_64 0.91-2.el6 epel 568 k
libc-client x86_64 2007e-11.el6 base 515 k
libtidy x86_64 0.99.0-19.20070615.1.el6 base 127 k
recode x86_64 3.6-28.1.el6 base 712 k
t1lib x86_64 5.1.2-6.el6_2.1 base 160 k
Skipped (dependency problems):
autoconf noarch 2.63-5.1.el6 base 781 k
automake noarch 1.11.1-1.2.el6 base 550 k
php54 x86_64 5.4.4-1.ius.el6 rightscale-epel 2.5 M
php54-devel x86_64 5.4.4-1.ius.el6 rightscale-epel 2.4 M
php54-ioncube-loader x86_64 4.2.1-1.ius.el6 rightscale-epel 596 k
php54-mysql x86_64 5.4.4-1.ius.el6 rightscale-epel 108 k
php54-pecl-apc x86_64 3.1.10-1.ius.el6 rightscale-epel 96 k
php54-pgsql84 x86_64 5.4.3-1.ius.el6 rightscale-epel 57 k
php54-xcache x86_64 2.0.0-1.ius.el6 rightscale-epel 80 k

Transaction Summary
=====================================================================================================================================================================================================
Install 39 Package(s)

Total download size: 13 M
Installed size: 46 M
Is this ok [y/N]:y

…………………………………….

That’s all. Thanks for using IThelpblog.com

Leave a reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>